> ## Documentation Index
> Fetch the complete documentation index at: https://docs.morphel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Avatar

> Create a new user avatar



## OpenAPI

````yaml POST /v1/avatars/
openapi: 3.1.0
info:
  title: Morphel API
  description: API for Morphel's video generation service
  version: 0.1.1
servers:
  - url: https://api.morphel.com
security: []
paths:
  /v1/avatars/:
    post:
      tags:
        - avatars-v1
      summary: Create New Avatar
      description: Create a new user avatar
      operationId: create_new_avatar_v1_avatars__post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AvatarCreate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvatarStatus'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AvatarCreate:
      properties:
        video_url:
          type: string
          title: Video Url
          description: URL of the source video to create the avatar
        name:
          type: string
          title: Name
          description: Name of the avatar
          examples:
            - my avatar
        callback_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Callback Url
          description: Callback URL for receiving status updates
        clone_voice:
          type: boolean
          title: Clone Voice
          description: Whether to clone the voice of the source video
          default: true
      type: object
      required:
        - video_url
        - name
      title: AvatarCreate
    AvatarStatus:
      properties:
        avatar_id:
          type: string
          title: Avatar Id
        status:
          type: string
          title: Status
      type: object
      required:
        - avatar_id
        - status
      title: AvatarStatus
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````